// $Id: EC_Supplier_Filter.cpp 73791 2006-07-27 20:54:56Z wotte $

#include "orbsvcs/Event/EC_Supplier_Filter.h"
#include "orbsvcs/Event/EC_ProxySupplier.h"
#include "orbsvcs/Event/EC_QOS_Info.h"

#if ! defined (__ACE_INLINE__)
#include "orbsvcs/Event/EC_Supplier_Filter.inl"
#endif /* __ACE_INLINE__ */

ACE_RCSID(Event, EC_Supplier_Filter, "$Id: EC_Supplier_Filter.cpp 73791 2006-07-27 20:54:56Z wotte $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_EC_Supplier_Filter::~TAO_EC_Supplier_Filter (void)
{
}

// ****************************************************************

void
TAO_EC_Filter_Worker::work (TAO_EC_ProxyPushSupplier *supplier
                            ACE_ENV_ARG_DECL)
{
  TAO_EC_QOS_Info qos_info = this->event_info_;
  supplier->filter (this->event_, qos_info ACE_ENV_ARG_PARAMETER);
}

TAO_END_VERSIONED_NAMESPACE_DECL
