// -*- C++ -*-

// =====================================================================
//
// = LIBRARY
//    TAO/tao
//
// = FILENAME
//    Codeset_Translator_Base.cpp
//
// = DESCRIPTION The base for all the translator factories. Translator
// factories are responsible for supplying the proper translator on
// demand.
//
// = AUTHORS
//      Phil Mesnier <mesnier_p@ociweb.com>
//
// =====================================================================

#include "tao/Codeset_Translator_Base.h"

ACE_RCSID (tao,
           Codeset_Translator_Base,
           "$Id: Codeset_Translator_Base.cpp 71473 2006-03-10 07:19:20Z jtc $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Codeset_Translator_Base::~TAO_Codeset_Translator_Base (void)
{

}

TAO_END_VERSIONED_NAMESPACE_DECL
