// $Id: CEC_Dispatching.cpp 71526 2006-03-14 06:14:35Z jtc $

#include "orbsvcs/CosEvent/CEC_Dispatching.h"
#include "orbsvcs/CosEvent/CEC_ProxyPushSupplier.h"

ACE_RCSID(CosEvent, CEC_Dispatching, "$Id: CEC_Dispatching.cpp 71526 2006-03-14 06:14:35Z jtc $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_CEC_Dispatching::~TAO_CEC_Dispatching (void)
{
}

// ****************************************************************

TAO_CEC_Reactive_Dispatching::TAO_CEC_Reactive_Dispatching (void)
{
}

void
TAO_CEC_Reactive_Dispatching::activate (void)
{
}

void
TAO_CEC_Reactive_Dispatching::shutdown (void)
{
}

void
TAO_CEC_Reactive_Dispatching::push (TAO_CEC_ProxyPushSupplier* proxy,
                                    const CORBA::Any& event
                                    ACE_ENV_ARG_DECL)
{
  proxy->reactive_push_to_consumer (event ACE_ENV_ARG_PARAMETER);
}

void
TAO_CEC_Reactive_Dispatching::push_nocopy (TAO_CEC_ProxyPushSupplier* proxy,
                                           CORBA::Any& event
                                           ACE_ENV_ARG_DECL)
{
  proxy->reactive_push_to_consumer (event ACE_ENV_ARG_PARAMETER);
}

#if defined (TAO_HAS_TYPED_EVENT_CHANNEL)
void
TAO_CEC_Reactive_Dispatching::invoke (TAO_CEC_ProxyPushSupplier* proxy,
                                      const TAO_CEC_TypedEvent& typed_event
                                      ACE_ENV_ARG_DECL)
{
  proxy->reactive_invoke_to_consumer (typed_event ACE_ENV_ARG_PARAMETER);
}

void
TAO_CEC_Reactive_Dispatching::invoke_nocopy (TAO_CEC_ProxyPushSupplier* proxy,
                                             TAO_CEC_TypedEvent& typed_event
                                             ACE_ENV_ARG_DECL)
{
  proxy->reactive_invoke_to_consumer (typed_event ACE_ENV_ARG_PARAMETER);
}
#endif /* TAO_HAS_TYPED_EVENT_CHANNEL */

TAO_END_VERSIONED_NAMESPACE_DECL
