#include "orbsvcs/LoadBalancing/LB_LoadAlert_Handler.h"

#include "tao/debug.h"


ACE_RCSID (LoadBalancing,
           LB_LoadAlert_Handler,
           "$Id: LB_LoadAlert_Handler.cpp 71526 2006-03-14 06:14:35Z jtc $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_LB_LoadAlert_Handler::~TAO_LB_LoadAlert_Handler (void)
{
}

void
TAO_LB_LoadAlert_Handler::enable_alert (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
}

void
TAO_LB_LoadAlert_Handler::enable_alert_excep (
    ::Messaging::ExceptionHolder *
    ACE_ENV_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_ERROR ((LM_ERROR,
                ACE_TEXT ("Exception caught when invoking ")
                ACE_TEXT ("LoadAlert::enable_alert()\n")));
}

void
TAO_LB_LoadAlert_Handler::disable_alert (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
}

void
TAO_LB_LoadAlert_Handler::disable_alert_excep (
    ::Messaging::ExceptionHolder *
    ACE_ENV_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_ERROR ((LM_ERROR,
                ACE_TEXT ("Exception caught when invoking ")
                ACE_TEXT ("LoadAlert::disable_alert()\n")));
}

TAO_END_VERSIONED_NAMESPACE_DECL
