// $Id: Request_Dispatcher.cpp 71473 2006-03-10 07:19:20Z jtc $

#include "tao/Request_Dispatcher.h"
#include "tao/TAO_Server_Request.h"
#include "tao/ORB_Core.h"

ACE_RCSID (tao, 
           Request_Dispatcher, 
           "$Id: Request_Dispatcher.cpp 71473 2006-03-10 07:19:20Z jtc $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Request_Dispatcher::~TAO_Request_Dispatcher (void)
{
}

void
TAO_Request_Dispatcher::dispatch (TAO_ORB_Core *orb_core,
                                  TAO_ServerRequest &request,
                                  CORBA::Object_out forward_to
                                  ACE_ENV_ARG_DECL)
{
  // Dispatch based on object key
  orb_core->adapter_registry ()->dispatch (request.object_key (),
                                           request,
                                           forward_to
                                           ACE_ENV_ARG_PARAMETER);
  ACE_CHECK;
}

TAO_END_VERSIONED_NAMESPACE_DECL
